var crypto = require('crypto')
/* istanbul ignore next */
if (crypto && (!crypto.pbkdf2Sync || crypto.pbkdf2Sync.toString().indexOf('keylen, digest') === -1)) {
  exports.pbkdf2 = require('./lib/async')
  exports.pbkdf2Sync = require('./lib/sync')
} else {
  exports.pbkdf2Sync = function(p, s, i, k, d) {
    return crypto.pbkdf2Sync(p, s, i, k, d || 'sha1')
  }
  exports.pbkdf2 = function(p, s, i, k, d, c) {
    if (typeof d === 'function') {
      c = d
      d = undefined
    }
    return crypto.pbkdf2(p, s, i, k, d || 'sha1', c)
  }
}
